Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.loader.impl
Interface JPEGConstants

All Known Implementing Classes:
  ImageLoaderRawCCITTFax, ImageLoaderRawJPEG, JPEGFile, PreloaderJPEG

    public interface JPEGConstants

Constants for JPEG images

Field Summary
`static int` | `APP0` Application marker, JFIF, JFXX, CIFF
`static int` | `APP1` Application marker, EXIF, XMP
`static int` | `APP2` Application marker, ICC, FlashPix
`static int` | `APPD` Application marker APPD/APP13, Photoshop, Adobe_CM
`static int` | `APPE` Application marker APPE/APP14, Adobe
`static int` | `APPF` Application marker APPF/APP15, GraphicConverter
`static int` | `EOI` end of Image
`static int` | `MARK` Beginning of a Marker
`static int` | `NULL` Special case for 0xff00
`static int` | `SOF0` Baseline DCT
`static int` | `SOF1` Extended Sequential DCT
`static int` | `SOF2` Progressive DCT only PDF 1.3
`static int` | `SOFA` Progressive DCT only PDF 1.3
`static int` | `SOI` start of Image
`static int` | `SOS` Start of Scan

Field Detail

### MARK

    static final int MARK

  Beginning of a Marker

  See Also:
    Constant Field Values

### NULL

    static final int NULL

  Special case for 0xff00

  See Also:
    Constant Field Values

### SOF0

    static final int SOF0

  Baseline DCT

  See Also:
    Constant Field Values

### SOF1

    static final int SOF1

  Extended Sequential DCT

  See Also:
    Constant Field Values

### SOF2

    static final int SOF2

  Progressive DCT only PDF 1.3

  See Also:
    Constant Field Values

### SOFA

    static final int SOFA

  Progressive DCT only PDF 1.3

  See Also:
    Constant Field Values

### APP0

    static final int APP0

  Application marker, JFIF, JFXX, CIFF

  See Also:
    Constant Field Values

### APP1

    static final int APP1

  Application marker, EXIF, XMP

  See Also:
    Constant Field Values

### APP2

    static final int APP2

  Application marker, ICC, FlashPix

  See Also:
    Constant Field Values

### APPD

    static final int APPD

  Application marker APPD/APP13, Photoshop, Adobe_CM

  See Also:
    Constant Field Values

### APPE

    static final int APPE

  Application marker APPE/APP14, Adobe

  See Also:
    Constant Field Values

### APPF

    static final int APPF

  Application marker APPF/APP15, GraphicConverter

  See Also:
    Constant Field Values

### SOS

    static final int SOS

  Start of Scan

  See Also:
    Constant Field Values

### SOI

    static final int SOI

  start of Image

  See Also:
    Constant Field Values

### EOI

    static final int EOI

  end of Image

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.0.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.